function [ out_vector ] = rotVecAroundAxis( v, axis, angle_radians )
%ROTVECAROUNDAXIS Summary of this function goes here
%   Detailed explanation goes here

c = cos(angle_radians);
s = sin(angle_radians);
C = 1 - c;

rot_matrix = [ axis(1)*axis(1)*C+c,          axis(1)*axis(2)*C-axis(3)*s,  axis(1)*axis(3)*C+axis(2)*s; ...
                axis(2)*axis(1)*C+axis(3)*s, axis(2)*axis(2)*C+c,          axis(2)*axis(3)*C-axis(1)*s; ...
                axis(3)*axis(1)*C-axis(2)*s, axis(3)*axis(2)*C+axis(1)*s,  axis(3)*axis(3)*C+c];

out_vector = rot_matrix*v;
end

